import dynamix_sdk.base as _base


class CloudapiComputeCloneAbortResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudapiComputeCloneAbortProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def clone_abort(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeCloneAbortResultBool:
        ...
